Установите приложение 🪄 нажмите на значок в правой части адресной строки.

Авто-сценарий

GET https://sms.ecofon.business/api/flows/
curl --request GET \
--url 'https://sms.ecofon.business/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
Параметры Детали Описание
page Необязательный Целое число Номер страницы, с которой вы хотите получить результаты. По умолчанию: 1.
results_per_page Необязательный Целое число Кол-во результатов на странице. Допустимые значения: 10, 25, 50, 100, 250, 500, 1000. По умолчанию: 25.
search Необязательный Строка Строка поиска.
search_by Необязательный Строка Поле, по которому выполняется поиск. Допустимые значения: content.
segment Необязательный Строка Filter results by segment.
user_id Необязательный Целое число Filter results by user ID.
datetime_field Необязательный Строка Допустимые значения: last_sent_datetime, datetime, last_datetime
datetime_start Необязательный Строка Фильтрация результатов, начиная с указанной даты и времени. Формат: Y-m-d H:i:s.
datetime_end Необязательный Строка Фильтрация результатов до указанной даты и времени. Формат: Y-m-d H:i:s.
order_by Необязательный Строка Поле сортировки результатов. Допустимые значения: flow_id, name, title, last_sent_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms.
order_type Необязательный Строка Порядок сортировки результатов. Допустимые значения: ASC (по возрастанию) и DESC (по убыванию).
{
    "data": [
        {
            "id": 1,
            "device_id": 1,
            "sim_subscription_id": 1,
            "user_id": 1,
            "name": "Example",
            "content": "Sample message",
            "settings": {},
            "wait_time": 3,
            "wait_time_type": "days",
            "is_enabled": true,
            "total_sent_sms": 0,
            "total_pending_sms": 0,
            "total_failed_sms": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-08-27 05:34:09",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://sms.ecofon.business/api/flows?page=1",
        "last": "https://sms.ecofon.business/api/flows?page=1",
        "next": null,
        "prev": null,
        "self": "https://sms.ecofon.business/api/flows?page=1"
    }
}
GET https://sms.ecofon.business/api/flows/{flow_id}
curl --request GET \
--url 'https://sms.ecofon.business/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "device_id": 1,
        "sim_subscription_id": 1,
        "user_id": 1,
        "name": "Example",
        "content": "Sample message",
        "settings": {},
        "wait_time": 3,
        "wait_time_type": "days",
        "is_enabled": true,
        "total_sent_sms": 0,
        "total_pending_sms": 0,
        "total_failed_sms": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-08-27 05:34:09",
    }
}
POST https://sms.ecofon.business/api/flows
Параметры Детали Описание
name Обязательный Строка -
content Обязательный Строка -
device_id Обязательный Целое число -
sim_subscription_id Обязательный Целое число -
wait_time Обязательный Целое число -
wait_time_type Обязательный Строка Допустимые значения: minutes, hours, days
segment Необязательный Строка Допустимые значения: all, INT segment_id
is_enabled Необязательный Логический тип -
auto_apply_to_matching Необязательный Логический тип -
curl --request POST \
--url 'https://sms.ecofon.business/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
{
    "data": {
        "id": 1
    }
}
POST https://sms.ecofon.business/api/flows/{flow_id}
Параметры Детали Описание
name Необязательный Строка -
content Необязательный Строка -
device_id Необязательный Целое число -
sim_subscription_id Необязательный Целое число -
wait_time Необязательный Целое число -
wait_time_type Необязательный Строка Допустимые значения: minutes, hours, days
segment Необязательный Строка Допустимые значения: all, INT segment_id
is_enabled Необязательный Логический тип -
curl --request POST \
--url 'https://sms.ecofon.business/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'content=Hello world' \
--form 'device_id=1' \
--form 'sim_subscription_id=1' \
--form 'segment=all' \
{
    "data": {
        "id": 1
    }
}
DELETE https://sms.ecofon.business/api/flows/{flow_id}
curl --request DELETE \
--url 'https://sms.ecofon.business/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \